

(setq handles '(
(OCIError                OCI_HTYPE_ERROR          OCIError         
	 (gen-init))
(OCIServiceContext       OCI_HTYPE_SVCCTX         OCISvcCtx		   
     (gen-init))
(OCIStatement            OCI_HTYPE_STMT           OCIStmt		   
     (gen-init))
(OCIDescribe             OCI_HTYPE_DESCRIBE       OCIDescribe	   
     (gen-init))
(OCIServerConnection     OCI_HTYPE_SERVER         OCIServer		   
     (gen-init gen-initWithHandle))
(OCIUserSession          OCI_HTYPE_SESSION        OCISession	   
     (gen-init gen-initWithHandle))
(OCITransaction          OCI_HTYPE_TRANS          OCITrans		   
     (gen-init gen-initWithHandle))
(OCIComplexObject        OCI_HTYPE_COMPLEXOBJECT  OCIComplexObject 
     (gen-init))
(OCISecurity             OCI_HTYPE_SECURITY       OCISecurityd	   
     (gen-init))
))


(defun myconcat (l)
  (cond ((null l) "")
		(t (concat (car l) (myconcat (cdr l))))))

(defun nlconcat (l)
  (cond ((null l) "")
		(t (concat (car l) "\n" (nlconcat (cdr l))))))

(defun generate-class (d)
  (let ((cn (car d)))
	(format "makeclass --ObjC %s OCIObject\n" cn)))


(defun generate-init-method (d)
  (let ((cn (car d)) (ht (cadr d)) (ct (caddr d)))
	(format (nlconcat '(
"    /* %s */"
""
"    -(id)init"
"    {"
"        self=[super init];"
"        if(self!=nil){"
"            handleType=%s;"
"            handleIsValid=(OCI_SUCCESS==OCIHandleAlloc("
"                                [[OCIEnvironment instance]handle],"
"                                &handle,handleType,0,(dvoid*)0));"
"        }"
"        return(self);"
"    }//init;"
""
""
)) cn ht)))


(with-output-to-temp-buffer "Hello" (print
	 (myconcat (mapcar 'generate-class handles))))
(with-output-to-temp-buffer "Hello" (print 
	 (nlconcat (mapcar 'generate-init-method handles))))

