/******************************************************************************
FILE:               NSArray-Oracle8Adaptor_Perform.h
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the definition of the NSArray(Oracle8Adaptor_Perform) category.

	Hey! At NeXT/Apple! Just let me know when you'll make up you mind !

	Note: when naming categories and methods of base classes such as
NSArray or NSString, it is much probable to provoke name clashing if these names are not unique, because almost all application will add some categories to these classes, and most probably for similar purposes and reasons. Therefore the name of these categories is prefixed with 'Oracle8Adaptor_', and the name of these methods is prefixed with 'oracle8Adaptor'. 


AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/08/02 Creation.
BUGS
    - This whole category is a BUG!
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#ifndef __NSArray_Oracle8Adaptor_Perform_h__
#define __NSArray_Oracle8Adaptor_Perform_h__
#include <Foundation/Foundation.h>

@interface NSArray(Oracle8Adaptor_Perform)
    
// NSArray(Oracle8Adaptor_Perform) methods:

	-(void)oracle8AdaptorMakeThemWorkOn:(SEL)aSelector;
	-(void)oracle8AdaptorMakeThemWorkOn:(SEL)aSelector with:(id)anObject;

@end //NSArray(Oracle8Adaptor_Perform);

#endif /*__NSArray-Oracle8Adaptor_Perform_h__*/

/*** NSArray-Oracle8Adaptor_Perform.h -- 1999/08/02 18:50:42 -- <PJB> ***/
