/******************************************************************************
FILE:               NSString-Oracle8Adaptor_LongLong.h
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the definition of the NSString(Oracle8Adaptor_LongLong) category.
    
	It exports methods to convert a string of digit into a long long.

	
AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/08/03 Creation.
BUGS
    - It's not implemented yet.
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#ifndef __NSString_Oracle8Adaptor_LongLong_h__
#define __NSString_Oracle8Adaptor_LongLong_h__
#include <Foundation/Foundation.h>


@interface NSString(Oracle8Adaptor_LongLong)

	-(long long)oracle8AdaptorLongLongValue;

@end //NSString(Oracle8Adaptor_LongLong);

#endif /*__NSString_Oracle8Adaptor_LongLong_h__*/

/*** NSString-Oracle8Adaptor_LongLong.h -- 1999/08/03 09:54:29 -- <PJB> ***/
