/******************************************************************************
FILE:               O2CI8ComplexObject.m
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the imeplemtation of the O2CI8ComplexObject class.
    The class O2CI8ComplexObject is xxxxxx.
    The implementation of the class O2CI8ComplexObject xxxxxxx.

AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/07/27 Creation.
BUGS
    - It's not implemented yet.
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#include <O2CI8ComplexObject.h>
#include <O2CI8Environment.h>
#include <Oracle8Utilities.h>

@implementation O2CI8ComplexObject

    static const char* rcsid="$Id";

// NSObject methods:

     -(id)init
    {
        self=[super init];
        if(self!=nil){
            handleType=OCI_HTYPE_COMPLEXOBJECT;
            handleIsValid=[self processErrorCode:OCIHandleAlloc(
            	                    [[O2CI8Environment instance]handle],
									&handle,handleType,0,(dvoid*)0)
								from:CURRENT_METHOD_AND(@"/OCIHandleAlloc")
								mayRaise:NO];
        }
        return(self);
    }//init;


    -(void)dealloc
    {
        // RELEASES.
        [super dealloc];
    }//dealloc;


// O2CI8Object methods:


    
// O2CI8ComplexObject methods:


@end //O2CI8ComplexObject;

/*** O2CI8ComplexObject.m -- 1999/07/27 06:36:03 -- <PJB> ***/

