/******************************************************************************
FILE:               NSArray-Oracle8Adaptor_Perform.m
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the implementation of the NSArray(Oracle8Adaptor_Perform) category.

	Hey! At NeXT/Apple! Just let me know when you'll make up you mind !

AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/08/02 Creation.
BUGS
    - This whole category is a BUG!
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#include <NSArray-Oracle8Adaptor_Perform.h>

@implementation NSArray(Oracle8Adaptor_Perform)
    
// NSArray(Oracle8Adaptor_Perform) methods:

	-(void)oracle8AdaptorMakeThemWorkOn:(SEL)aSelector
	{
#ifdef	STRICT_OPENSTEP
#ifdef	STRICT_MACOS_X
		unsigned int index;
		unsigned int count=[self count];
		for(index=0;index<count;index++){
			[[self objectAtIndex:index]performSelector:aSelector];
		}
#else
		[self makeObjectsPerform:aSelector];
#endif
#else
		[self makeObjectsPerformSelector:aSelector];
#endif
	}//oracle8AdaptorMakeThemWorkOn:;


	-(void)oracle8AdaptorMakeThemWorkOn:(SEL)aSelector with:(id)anObject
	{
#ifdef	STRICT_OPENSTEP
#ifdef	STRICT_MACOS_X
		unsigned int index;
		unsigned int count=[self count];
		for(index=0;index<count;index++){
			[[self objectAtIndex:index]performSelector:aSelector 
					withObject:anObject];
		}
#else
		[self makeObjectsPerform:aSelector withObject:anObject];
#endif
#else
		[self makeObjectsPerformSelector:aSelector withObject:anObject];
#endif
	}//oracle8AdaptorMakeThemWorkOn:with:;


@end //NSArray(Oracle8Adaptor_Perform);

/*** NSArray-Oracle8Adaptor_Perform.m -- 1999/08/02 18:50:42 -- <PJB> ***/

