/******************************************************************************
FILE:               NSString-Oracle8Adaptor_LongLong.m
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the implementation of the NSString-Oracle8Adaptor_LongLong class.
    The class NSString-Oracle8Adaptor_LongLong is xxxxxx.
    The implementation of the class NSString-Oracle8Adaptor_LongLong xxxxxxx.

AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/08/03 Creation.
BUGS
    - It's not implemented yet.
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#include <NSString-Oracle8Adaptor_LongLong.h>


@implementation NSString(Oracle8Adaptor_LongLong)

    static const char* rcsid="$Id";

	-(long long)oracle8AdaptorLongLongValue
	{
		long long powerOfTen=10LL;
		long long value=0LL;
		BOOL negative=NO;
		unsigned int i=0;
		unsigned int count=[self length];
		unichar      digit=[self characterAtIndex:i];
		
		if(digit==(unichar)'+'){
			i++;
		}else if(digit==(unichar)'-'){
			i++;
			negative=YES;
		}
		while(i<count){
			unichar digit=[self characterAtIndex:i];
			if((((unichar)'0')<=digit)&&(digit<=((unichar)'9'))){
				value=(value*powerOfTen)+(long long)(digit-(unichar)'0');
			}else{
				break;
			}
			i++;
		}
		if(negative){
			return(-value);
		}else{
			return(value);
		}
	}//oracle8AdaptorLongLongValue;


@end //NSString(Oracle8Adaptor_LongLong);


/*** NSString-Oracle8Adaptor_LongLong.m -- 1999/08/03 09:54:29 -- <PJB> ***/

