/******************************************************************************
FILE:               O2CI8Error.h
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the definition of the O2CI8Error class.
    The class O2CI8Error is xxxxxx.

AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/07/27 Creation.
BUGS
    - It's not implemented yet.
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#ifndef __O2CI8Error_h__
#define __O2CI8Error_h__
#include <O2CI8Object.h>

@interface O2CI8Error:O2CI8Object
{
}

// NSObject methods:

    -(id)init;
    -(void)dealloc;


// O2CI8Object methods:


    
// O2CI8Error methods:

	-(NSString*)getMessageAndOracle8Code:(sb4*)oraCode atIndex:(ub4)oneBasedIndex;
		/*
			PRE:        oneBasedIndex>0.

			POST:       result!=nil ==> oraCode is the numerical Oracle8 error code
						                corresponding to the returned message.

			RETURN:     the oneBasedIndex'th error message, or nil if none.
		*/



@end //O2CI8Error;

#endif /*__O2CI8Error_h__*/

/*** O2CI8Error.h -- 1999/07/27 06:35:54 -- <PJB> ***/
