/******************************************************************************
FILE:               O2CI8Table.h
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the definition of the O2CI8Table class.
    The class O2CI8Table is xxxxxx.

	Note: to instanciate this class, clients should use:
		+[O2CI8Parameter parameterWithHandle:]
	with a handle to a parameter of type OCI_PTYPE_TABLE.

AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/08/02 Creation.
BUGS
    - 
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#ifndef __O2CI8Table_h__
#define __O2CI8Table_h__
#include <O2CI8View.h>

@interface O2CI8Table:O2CI8View
{
}

// O2CI8Table methods:

	-(ub4)rdba;
	-(sword)tableSpace;
	-(ub1)isClustered;
	-(ub1)isPartitioned;
	-(ub1)isIndexOnly;


@end //O2CI8Table;

#endif /*__O2CI8Table_h__*/

/*** O2CI8Table.h -- 1999/08/02 01:44:37 -- <PJB> ***/
