/******************************************************************************
FILE:               O2CI8View.h
LANGUAGE:           Objective-C
SYSTEM:             None
USER-INTERFACE:     None
DESCRIPTION
    $Header$
    This is the definition of the O2CI8View class.
    The class O2CI8View is xxxxxx.

	Note: to instanciate this class, clients should use:
		+[O2CI8Parameter parameterWithHandle:]
	with a handle to a parameter of type OCI_PTYPE_VIEW.

AUTHORS
    <PJB>  Pascal J. Bourguignon  <pjb@imaginet.fr>
MODIFICATIONS
    $Log$
    1999/08/02 Creation.
BUGS
    - 
LEGAL
    Copyright Pascal J. Bourguignon 1999 - 1999

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; see the file COPYING.LIB.
    If not, write to the Free Software Foundation,
    59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/
#ifndef __O2CI8View_h__
#define __O2CI8View_h__
#include <O2CI8Parameter.h>
#include <O2CI8List.h>



@interface O2CI8View:O2CI8Parameter
{
}

// NSObject methods:

	// None overriden.


// O2CI8Object methods:

	// None overriden.


// O2CI8Parameter methods:

	// None overriden.

    
// O2CI8View methods:

	-(ub4)objectId;
	-(ub2)numColumn;
	-(O2CI8List*)getColumnList;


	-(NSArray*)getColumns;
		/*
			RETURN:     [[self getColumnList]getColumns].
		*/


@end //O2CI8View;

#endif /*__O2CI8View_h__*/

/*** O2CI8View.h -- 1999/08/02 01:44:35 -- <PJB> ***/
